Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122243

Summary: Review Request: nodejs-stringset - fast and robust stringset
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 19:00:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:06:34 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-stringset.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-stringset-0.2.1-1.fc20.src.rpm

Description:
A fast and robust stringset implementation that can hold any string items,
including __proto__, with minimal overhead compared to a plain object. Works in
node and browsers.

The API is created to be as close to the ES6 Set API as possible. Prefer
ss.remove("key") for deleting a key. ES6 Set uses set.delete("key") instead and
for that reason ss['delete']("key") is available as a stringset alias as well.
Never do ss.delete("key") unless you're certain to be in the land of ES5 or
later.

Comment 1 Parag AN(पराग) 2014-07-23 13:58:49 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-stringset.noarch: W: summary-not-capitalized C fast and robust stringset
nodejs-stringset.noarch: W: spelling-error %description -l en_US proto -> proton, pronto, promo
nodejs-stringset.noarch: W: spelling-error %description -l en_US ss -> SS, sch, sci
nodejs-stringset.noarch: W: only-non-binary-in-usr-lib
nodejs-stringset.src: W: summary-not-capitalized C fast and robust stringset
nodejs-stringset.src: W: spelling-error %description -l en_US proto -> proton, pronto, promo
nodejs-stringset.src: W: spelling-error %description -l en_US ss -> SS, sch, sci
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :4ceffeb46a8c0d554ad3290f213f81b27e02c6dce31331d5f9e3bba89155eefc
upstream tarball :4ceffeb46a8c0d554ad3290f213f81b27e02c6dce31331d5f9e3bba89155eefc

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) You may want to fix summary rpmlint warning.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:37:24 UTC
New Package SCM Request
=======================
Package Name: nodejs-stringset
Short Description: fast and robust stringset
Upstream URL: https://npmjs.org/package/stringset
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:47:38 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:59:36 UTC
nodejs-stringset-0.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-stringset-0.2.1-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:59:46 UTC
nodejs-stringset-0.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-stringset-0.2.1-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:00:48 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:52:40 UTC
nodejs-stringset-0.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:54:26 UTC
nodejs-stringset-0.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.